## edu.stanford.nlp.international.morph
Class MorphoFeatureSpecification

    java.lang.Object
      edu.stanford.nlp.international.morph.MorphoFeatureSpecification

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ArabicMorphoFeatureSpecification

    public abstract class MorphoFeatureSpecification

extends Object
implements Serializable

Morphological feature specification for surface forms in a given language. Currently supported feature names are the values of MorphFeatureType.

Author:
  Spence Green
See Also:
  Serialized Form

Nested Class Summary
`static class` `MorphoFeatureSpecification.MorphoFeatureType`

Field Summary
`protected Set<MorphoFeatureSpecification.MorphoFeatureType>` `activeFeatures`

Constructor Summary
`MorphoFeatureSpecification()`

Method Summary
`void` `activate(MorphoFeatureSpecification.MorphoFeatureType feat)`
`abstract List<String>` `getValues(MorphoFeatureSpecification.MorphoFeatureType feat)`
`boolean` `isActive(MorphoFeatureSpecification.MorphoFeatureType feat)`
`abstract MorphoFeatures` `strToFeatures(String spec)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### activeFeatures

    protected final Set<MorphoFeatureSpecification.MorphoFeatureType> activeFeatures

Constructor Detail

### MorphoFeatureSpecification

    public MorphoFeatureSpecification()

Method Detail

### activate

    public void activate(MorphoFeatureSpecification.MorphoFeatureType feat)

### isActive

    public boolean isActive(MorphoFeatureSpecification.MorphoFeatureType feat)

### getValues

    public abstract List<String> getValues(MorphoFeatureSpecification.MorphoFeatureType feat)

### strToFeatures

    public abstract MorphoFeatures strToFeatures(String spec)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Stanford NLP Group